# Class PointData

java.lang.Object
uk.ac.starlink.ttools.plot.PointData

public class PointData extends Object
Contains data for a single point in a `PointSequence`. Used by `ArrayPlotData`.

Since:
  9 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PointData(double[] point, double[][] errors, String label, boolean[] isIncluded)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`getErrors()`
Returns the coordinates of the error extrema associated with this point.
`String`
`getLabel()`
Returns the text label associated with this point.
`double[]`
`getPoint()`
Returns the coordinates of this point.
`boolean`
`isIncluded(int iset)`
Returns the inclusion status of a given subset.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PointData

public PointData(double[] point, double[][] errors, String label, boolean[] isIncluded)
Constructor.

Parameters:
  `point` - point coordinates
  `errors` - error coordinates array
  `label` - text label, or null
  `isIncluded` - array of subset inclusion flags

## Method Details

### getPoint

public double[] getPoint()
Returns the coordinates of this point.

Returns:
  point

### getErrors

public double[][] getErrors()
Returns the coordinates of the error extrema associated with this point.

Returns:
  error coordinates array

### getLabel

public String getLabel()
Returns the text label associated with this point.

Returns:
  text label, or null

### isIncluded

public boolean isIncluded(int iset)
Returns the inclusion status of a given subset.

Parameters:
  `iset` - subset index
Returns:
  true iff this point is included in subset `iset`